<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateWMSWaybillsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('w_m_s_waybills', function (Blueprint $table) {
            $table->string('OrderNo')->index()->comment('SO编号');
            $table->string('CustomerID')->nullable()->comment('客户');
            $table->string('CarrierID')->nullable()->comment('承运人');
            $table->string('ConsigneeName')->nullable()->comment('收货人姓名');
            $table->string('C_Tel1')->nullable()->comment('收货人电话');
            $table->string('C_Address1')->nullable()->comment('收货地址');
            $table->string('C_Province')->nullable()->comment('省');
            $table->string('C_City')->nullable()->comment('市');
            $table->string('C_District')->nullable()->comment('区');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('w_m_s_waybills');
    }
}
